package com.quant.entity;

import java.sql.Timestamp;

/**
 * Product entity. @author MyEclipse Persistence Tools
 */

public class Product implements java.io.Serializable {

	// Fields

	/**
	 * 
	 */
	private static final long serialVersionUID = 401761285849171575L;
	private Integer id;
	private Integer productType;
	private String productName;
	private Integer managerId;
	private Integer companyId;
	private Timestamp issueTime;
	private Timestamp lockPeriodStart;
	private Timestamp lockPeriodEnd;
	private Long currentValue;
	private Long cumulativeRate;

	// Constructors

	/** default constructor */
	public Product() {
	}

	/** minimal constructor */
	public Product(Integer id) {
		this.id = id;
	}

	/** full constructor */
	public Product(Integer id, Integer productType, String productName,
			Integer managerId, Integer companyId, Timestamp issueTime,
			Timestamp lockPeriodStart, Timestamp lockPeriodEnd,
			Long currentValue, Long cumulativeRate) {
		this.id = id;
		this.productType = productType;
		this.productName = productName;
		this.managerId = managerId;
		this.companyId = companyId;
		this.issueTime = issueTime;
		this.lockPeriodStart = lockPeriodStart;
		this.lockPeriodEnd = lockPeriodEnd;
		this.currentValue = currentValue;
		this.cumulativeRate = cumulativeRate;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getProductType() {
		return this.productType;
	}

	public void setProductType(Integer productType) {
		this.productType = productType;
	}

	public String getProductName() {
		return this.productName;
	}

	public void setProductName(String productName) {
		this.productName = productName;
	}

	public Integer getManagerId() {
		return this.managerId;
	}

	public void setManagerId(Integer managerId) {
		this.managerId = managerId;
	}

	public Integer getCompanyId() {
		return this.companyId;
	}

	public void setCompanyId(Integer companyId) {
		this.companyId = companyId;
	}

	public Timestamp getIssueTime() {
		return this.issueTime;
	}

	public void setIssueTime(Timestamp issueTime) {
		this.issueTime = issueTime;
	}

	public Timestamp getLockPeriodStart() {
		return this.lockPeriodStart;
	}

	public void setLockPeriodStart(Timestamp lockPeriodStart) {
		this.lockPeriodStart = lockPeriodStart;
	}

	public Timestamp getLockPeriodEnd() {
		return this.lockPeriodEnd;
	}

	public void setLockPeriodEnd(Timestamp lockPeriodEnd) {
		this.lockPeriodEnd = lockPeriodEnd;
	}

	public Long getCurrentValue() {
		return this.currentValue;
	}

	public void setCurrentValue(Long currentValue) {
		this.currentValue = currentValue;
	}

	public Long getCumulativeRate() {
		return this.cumulativeRate;
	}

	public void setCumulativeRate(Long cumulativeRate) {
		this.cumulativeRate = cumulativeRate;
	}

}